{% extends "../blog/wrapper_center.html" %} 

{% load i18n %}
{% load account %}
{#socialaccount %}#}

{% block head_title %}{% trans "Sign In" %}{% endblock %}

{% block content %}

<img class="mb-4" src="../../../../../static/blog/images/hello_yellow.png" alt="Hello!" width="220">

<h1>{% trans "Sign In" %}</h1>

{#{% get_providers as socialaccount_providers %}#}

{% if socialaccount_providers %}
<p>{% blocktrans with site.name as site_name %}Please sign in with one
of your existing third party accounts. Or, <a href="{{ signup_url }}">sign up</a>
for a {{ site_name }} account and sign in below:{% endblocktrans %}</p>

<div class="socialaccount_ballot">

  <ul class="socialaccount_providers">
    {% include "socialaccount/snippets/provider_list.html" with process="login" %}
  </ul>

  <div class="login-or">{% trans 'or' %}</div>

</div>

{% include "socialaccount/snippets/login_extra.html" %}

{% else %}
<p>{% blocktrans %}If you have not created an account yet, then please
<a href="{{ signup_url }}">sign up</a> first.{% endblocktrans %}</p>
{% endif %}

<form class="login" method="POST" action="{% url 'account_login' %}">
  {% csrf_token %}
  {{ form.as_p }}
  {% if redirect_field_value %}
  <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" />
  {% endif %}
  <button class="btn btn-warning" type="submit">{% trans "Sign In" %}</button>
  <br/>
  <br/>
  <a class="button secondaryAction" href="{% url 'account_reset_password' %}">{% trans "Forgot Password?" %}</a>
  
</form>
</div>

{% endblock %}
